import 'package:adaptix/adaptix.dart';
import 'package:flutter/material.dart';
import 'package:sapaly_shop/themes/app_theme.dart';

import '../../constants/global_variables.dart';

class OnboardingScreen extends StatelessWidget {
  OnboardingScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Container(
          margin: EdgeInsets.symmetric(
            horizontal: GlobalVariables.horizontalPadding(context),
          ),
          height: GlobalVariables.deviceHeight(context) / (1.7),
          width: double.infinity,
          decoration: BoxDecoration(
            border: Border.all(
              width: 2.adaptedPx(),
              color: AppTheme.blackColor.withOpacity(0.2),
            ),
            borderRadius: BorderRadius.circular(15.adaptedPx()),
          ),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(
                'Dili saýlaň',
                style: Theme.of(context).primaryTextTheme.bodyMedium?.copyWith(
                      fontSize: 18.adaptedPx(),
                      color: AppTheme.blackColor,
                      fontWeight: FontWeight.w600,
                    ),
              ),
              SizedBox(height: 25.adaptedPx()),
            ],
          ),
        ),
      ),
    );
  }
}
